Bug 579327 - Review Request: perl-Perl-PrereqScanner - Tool to scan your Perl code for its prerequisites
Summary: Review Request: perl-Perl-PrereqScanner - Tool to scan your Perl code for its...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Perl-Prer...
Whiteboard:
Depends On: 579061
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-04 08:21 UTC by Iain Arnell
Modified: 2010-04-30 23:39 UTC (History)
3 users (show)

Fixed In Version: perl-Perl-PrereqScanner-0.100960-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-30 23:39:22 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-04-04 08:21:22 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Perl-PrereqScanner.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Perl-PrereqScanner-0.100830-1.fc14.src.rpm

Description:
The scanner will extract loosely your distribution prerequisites from
your files.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2093995

*rt-0.10_01

Comment 1 Parag AN(पराग) 2010-04-06 04:22:16 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2093995
+ rpmlint is silent for SRPM and for RPM.
perl-Perl-PrereqScanner.noarch: I: checking-url http://search.cpan.org/dist/Perl-PrereqScanner/ (timeout 10 seconds)
perl-Perl-PrereqScanner.src: I: checking-url http://search.cpan.org/dist/Perl-PrereqScanner/ (timeout 10 seconds)
perl-Perl-PrereqScanner.src: I: checking-url http://www.cpan.org/authors/id/J/JQ/JQUELIN/Perl-PrereqScanner-0.100830.tar.gz (timeout 10 seconds)
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ source files match upstream url (sha1sum)
aef5256d1e54b2ccbeef1e40ce635616fc5b1fe5  Perl-PrereqScanner-0.100830.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=3, Tests=72,  0 wallclock secs ( 0.02 usr  0.02 sys +  0.43 cusr  0.06 csys =  0.53 CPU)
+ Package perl-Perl-PrereqScanner-0.100830-1.fc14.noarch =>
Provides: perl(Perl::PrereqScanner) = 0.100830
Requires: perl >= 0:5.008 perl(File::Spec::Functions) perl(FindBin) perl(lib) perl(List::Util) perl(namespace::autoclean) perl(Perl::PrereqScanner) perl(PPI) >= 1.205 perl(Scalar::Util) perl(strict) perl(Version::Requirements) >= 0.100630 perl(warnings) rpmlib(VersionedDependencies) <= 3.0.3-1 /usr/bin/perl

+ Not a GUI application

Suggestions:
1) Remove following from SPEC
BuildRequires:  perl >= 0:5.008

2) Also, I think following can be removed
BuildRequires:  perl(PPI::Document)
as following is already included 
BuildRequires:  perl(PPI) >= 1.205

APPROVED.

Comment 2 Iain Arnell 2010-04-06 05:15:44 UTC
New Package CVS Request
=======================
Package Name: perl-Perl-PrereqScanner
Short Description: Tool to scan your Perl code for its prerequisites
Owners: iarnell
Branches: F-11 F-12 F-13
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-04-08 02:47:02 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Iain Arnell 2010-04-08 03:29:18 UTC
Thanks for the review. I've dropped the perl BR, but left PPI::Document.

Built in rawhide; waiting for perl-Version-Requirements on branches.

Comment 5 Fedora Update System 2010-04-20 15:03:56 UTC
perl-Perl-PrereqScanner-0.100960-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Perl-PrereqScanner-0.100960-1.fc13

Comment 6 Fedora Update System 2010-04-21 22:02:49 UTC
perl-Perl-PrereqScanner-0.100960-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Perl-PrereqScanner'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Perl-PrereqScanner-0.100960-1.fc13

Comment 7 Fedora Update System 2010-04-30 23:39:18 UTC
perl-Perl-PrereqScanner-0.100960-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.